name: Build Docker Image

on:
  push:
    branches: [main]

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Login to Gitea Registry
        uses: docker/login-action@v3
        with:
          registry: gitea.dsrptlab.com
          username: ${{ gitea.actor }}
          password: ${{ secrets.REGISTRY_TOKEN }}

      - name: Build and Push
        uses: docker/build-push-action@v5
        with:
          context: .
          push: true
          tags: gitea.dsrptlab.com/optovia/webapp/webapp:latest
          build-args: |
            INFISICAL_API_URL=${{ secrets.INFISICAL_API_URL }}
            INFISICAL_CLIENT_ID=${{ secrets.INFISICAL_CLIENT_ID }}
            INFISICAL_CLIENT_SECRET=${{ secrets.INFISICAL_CLIENT_SECRET }}
            INFISICAL_PROJECT_ID=${{ secrets.INFISICAL_PROJECT_ID }}
            INFISICAL_ENV=prod

      - name: Deploy to Dokploy
        run: curl -X POST "https://dokploy.optovia.ru/api/deploy/0_iNAXPDx28BLZIddGTzB"
